> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/api-reference/endpoints/aisettings.md).

# AISettings

Endpoint for managing the settings regarding the AI Assistant.

## GET /v1/aisettings/translatorSettings

> Get the current translation settings

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"AISettings","description":"Endpoint for managing the settings regarding the AI Assistant."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.AIAssistant.Translation.AzureTranslatorSettings":{"type":"object","properties":{"SubscriptionKey":{"type":"string","nullable":true},"RegionName":{"type":"string","nullable":true},"TranslatorType":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false}}},"paths":{"/v1/aisettings/translatorSettings":{"get":{"tags":["AISettings"],"summary":"Get the current translation settings","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.AIAssistant.Translation.AzureTranslatorSettings"}}}}}}}}}
```

## PUT /v1/aisettings/translatorSettings

> Update the current translation settings

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"AISettings","description":"Endpoint for managing the settings regarding the AI Assistant."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.AIAssistant.Translation.TranslatorSettings":{"type":"object","properties":{"TranslatorType":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false}}},"paths":{"/v1/aisettings/translatorSettings":{"put":{"tags":["AISettings"],"summary":"Update the current translation settings","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.AIAssistant.Translation.TranslatorSettings"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## GET /v1/aisettings/textgenerationSettings

> Get the current text generation settings

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"AISettings","description":"Endpoint for managing the settings regarding the AI Assistant."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.AIAssistant.TextGeneration.TextGeneratorSettings":{"type":"object","properties":{"Type":{"type":"string","description":"The type of the current object","nullable":true,"readOnly":true}},"additionalProperties":false,"description":"The AI Assistant text generator settings."}}},"paths":{"/v1/aisettings/textgenerationSettings":{"get":{"tags":["AISettings"],"summary":"Get the current text generation settings","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.AIAssistant.TextGeneration.TextGeneratorSettings"}}}}}}}}}
```

## PUT /v1/aisettings/textgenerationSettings

> Update the current text generation settings

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"AISettings","description":"Endpoint for managing the settings regarding the AI Assistant."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.AIAssistant.TextGeneration.TextGeneratorSettings":{"type":"object","properties":{"Type":{"type":"string","description":"The type of the current object","nullable":true,"readOnly":true}},"additionalProperties":false,"description":"The AI Assistant text generator settings."}}},"paths":{"/v1/aisettings/textgenerationSettings":{"put":{"tags":["AISettings"],"summary":"Update the current text generation settings","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.AIAssistant.TextGeneration.TextGeneratorSettings"}}}},"responses":{"200":{"description":"OK"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/api-reference/endpoints/aisettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
